export type AppointmentStatus = 'proposed' | 'pending' | 'booked' | 'arrived' | 'fulfilled' | 'cancelled' | 'noshow' | 'entered-in-error' | 'checked-in' | 'waitlist';
export function AppointmentStatus({ status, className, children, ...rest }: {
    status: AppointmentStatus;
    className?: string;
    children?: any;
}): h.JSX.Element;
/**
 * Small wrapped component for showing a color-coded FHIR appointment status.
 */
export type Appointment = import('preact').FunctionComponent;
import { h } from 'preact';
