export function LogoCrate({ wide }: {
    wide?: boolean;
}): h.JSX.Element;
/** @type {import('preact').FunctionComponent} */
export const Page: import('preact').FunctionComponent;
export const PageCrateHeading: import("preact").FunctionComponent<any>;
export const PageCrate: import("preact").FunctionComponent<any>;
/**
 * @typedef MessagePageCrateProps
 * @property {boolean} [loading]
 * @property {boolean} [error]
 * @property {boolean} [success]
 * @property {boolean} [warning]
 * @property {boolean} [info]
 * @property {boolean} [noShadow]
 * @property {any} children
 */
/**
 * @type {import('preact').FunctionComponent}
 * @param {MessagePageCrateProps} props
 */
export const MessagePageCrate: import('preact').FunctionComponent;
export type MessagePageCrateProps = {
    loading?: boolean;
    error?: boolean;
    success?: boolean;
    warning?: boolean;
    info?: boolean;
    noShadow?: boolean;
    children: any;
};
import { h } from 'preact';
