export function Label({ item, updateValue, removeSuggestion }: {
    item: any;
    updateValue: any;
    removeSuggestion: any;
}): h.JSX.Element;
export class SelectButtons extends Component<any, any> {
    constructor(props: any);
    state: {
        open: boolean;
    };
    handleButtonPress(val: any, isPressed: any): void;
    handleOtherPress(isPressed: any): void;
    open: () => void;
    close: () => void;
    choiceValues: any;
    getPressed(val: any): any;
    getOtherInputVisible(): boolean;
    render({ item, updateValue, ...rest }: {
        [x: string]: any;
        item: any;
        updateValue: any;
    }): h.JSX.Element;
}
export function InputField({ item, updateValue, autocomplete, autofocus, className, inputClassName, removeSuggestion, ...rest }: {
    [x: string]: any;
    item: any;
    updateValue: any;
    autocomplete?: string;
    autofocus: any;
    className?: string;
    inputClassName?: string;
    removeSuggestion: any;
}): h.JSX.Element;
export function DecimalInputField({ item, updateValue, ...rest }: {
    [x: string]: any;
    item: any;
    updateValue: any;
}): h.JSX.Element;
export function TextareaField({ item, updateValue, removeSuggestion }: {
    item: any;
    updateValue: any;
    removeSuggestion: any;
}): h.JSX.Element;
export function IncrementButtonField({ item, displayValue, updateValue, step, max, min, width, unit, showStep, formatter, className, }: {
    item: any;
    displayValue: any;
    updateValue: any;
    step?: number;
    max?: number;
    min?: number;
    width: any;
    unit?: string;
    showStep?: boolean;
    formatter: any;
    className: any;
}): h.JSX.Element;
export function TimeIncrementField({ item, displayValue, updateValue, max, min, className, ...rest }: {
    [x: string]: any;
    item: any;
    displayValue: any;
    updateValue: any;
    max?: number;
    min?: number;
    className: any;
}): h.JSX.Element;
export class SignatureField extends Component<any, any> {
    constructor(props: any);
    state: {
        editing: boolean;
    };
    render({ item, updateValue }: {
        item: any;
        updateValue: any;
    }, { editing }: {
        editing: any;
    }): h.JSX.Element;
}
export function SelectField({ item, updateValue, autofocus, className, inputClassName, ...rest }: {
    [x: string]: any;
    item: any;
    updateValue: any;
    autofocus: any;
    className?: string;
    inputClassName?: string;
}): h.JSX.Element;
export function OralAdministrationField({ updateValue, label, item, ...rest }: {
    [x: string]: any;
    updateValue: any;
    label: any;
    item: any;
}): h.JSX.Element;
export function LocalUnitField({ updateValue, item, ...rest }: {
    [x: string]: any;
    updateValue: any;
    item: any;
}): h.JSX.Element;
export function InfusionTypeField({ updateValue, label, item, ...rest }: {
    [x: string]: any;
    updateValue: any;
    label: any;
    item: any;
}): h.JSX.Element;
export function InfusionUnitField({ updateValue, label, item, ...rest }: {
    [x: string]: any;
    updateValue: any;
    label: any;
    item: any;
}): h.JSX.Element;
export function InfusionBolusField({ updateValue, label, item, ...rest }: {
    [x: string]: any;
    updateValue: any;
    label: any;
    item: any;
}): h.JSX.Element;
export function InjectionTypeField({ updateValue, label, item, usingIV, ...rest }: {
    [x: string]: any;
    updateValue: any;
    label: any;
    item: any;
    usingIV?: boolean;
}): h.JSX.Element;
export function CheckboxField({ updateValue, item }: {
    updateValue: any;
    item: any;
}): h.JSX.Element;
import { h } from 'preact';
import { Component } from 'preact';
