export class SignatureInput extends Component<any, any> {
    constructor(props: any);
    clear(e: any): void;
    cancel(): void;
    onPointerMove(event: any): void;
    onPointerUp(): void;
    calculateCanvasInfo(): void;
    renderCanvas(): void;
    state: {
        hasPath: boolean;
        isInitialValue: boolean;
        updateSavedSignatureChecked: boolean;
    };
    updateStateFromPath(path: any, callback: any): void;
    reset(path: any, callback: any): void;
    path: any;
    componentDidMount(): void;
    canvas: any;
    ctx: any;
    lastWasInside: boolean;
    canvasInfo: {
        left: any;
        top: any;
        height: any;
        width: any;
    };
    componentWillUnmount(): void;
    /**
     * @param {number} clientX
     * @param {number} clientY
     * @param {'mouse' | 'pen' | 'touch'} type
     */
    adjustCoord(clientX: number, clientY: number, type: 'mouse' | 'pen' | 'touch'): {
        x: number;
        y: number;
    };
    appendCoord(x: any, y: any, isNew: any): void;
    shouldComponentUpdate(_: any, nextState: any): boolean;
    render(): h.JSX.Element;
}
import { Component } from 'preact';
import { h } from 'preact';
