export const TriggerWaitingComponent: {
    new (props: any): {
        trigger: () => void;
        render(): any;
        componentWillMount?(): void;
        componentDidMount?(): void;
        componentWillUnmount?(): void;
        getChildContext?(): object;
        componentWillReceiveProps?(nextProps: Readonly<any>, nextContext: any): void;
        shouldComponentUpdate?(nextProps: Readonly<any>, nextState: Readonly<any>, nextContext: any): boolean;
        componentWillUpdate?(nextProps: Readonly<any>, nextState: Readonly<any>, nextContext: any): void;
        getSnapshotBeforeUpdate?(oldProps: Readonly<any>, oldState: Readonly<any>): any;
        componentDidUpdate?(previousProps: Readonly<any>, previousState: Readonly<any>, snapshot: any): void;
        componentDidCatch?(error: any, errorInfo: any): void;
        state: Readonly<any>;
        props: any;
        context: any;
        base?: Element | Text;
        setState<K extends string | number | symbol>(state: Partial<any> | ((prevState: Readonly<any>, props: Readonly<any>) => Partial<any> | Pick<any, K>) | Pick<any, K>, callback?: () => void): void;
        forceUpdate(callback?: () => void): void;
    };
    displayName?: string;
    defaultProps?: any;
    contextType?: import("preact").Context<any>;
    getDerivedStateFromProps?(props: object, state: object): object;
    getDerivedStateFromError?(error: any): object;
};
