export function getFhirFetch(options: {
    apiUrl: string;
    getToken: () => string;
    getOrgId: () => string;
    handleNotAuthorized: () => any;
    handleNoAuthentication: () => any;
}): (pathname: string, opts?: {
    orgId?: string;
    fetchAll?: boolean;
    waitForAll?: boolean;
    incomingResponseArrayHandler?: (res: any) => Promise<any>;
    returnMeta?: boolean;
}) => Promise<any>;
export type FHIRSearchMetadata = {
    nextUrl: string | null;
    firstUrl: string | null;
    total: number;
};
export type BadAuthStatus = 'NO_AUTH' | 'NO_USER';
