/**
 * @type {{
 *   [K in MacroKey]: any
 * }}
 */
export const macroLabelMap: {
    [x: string]: any;
};
export namespace macroDrugLabelMap {
    let dose: string;
    let draw: string;
}
export namespace macroAirwayLabelMap {
    let preOx: string;
    let inflated: string;
    let deflated: string;
    let placementCompDetail: string;
    let removalComp: string;
    let removalCompDetail: string;
    let peep: string;
    let preRemovalSpo2: string;
    let postRemovalSpo2: string;
}
export function getMacroFieldType(path: any): any;
export function macroToItemArrayBase(object: any, basePath: string, def: {
    [id: string]: string | {
        label: string;
        format: (val: any) => string;
    };
}): {
    label: string;
    name: string;
    value: any;
    path: string;
}[];
