/**
 * @typedef CardProps
 * @property {boolean} [white]
 * @property {boolean} [nearWhite]
 * @property {string} [className]
 * @property {string} [href]
 */
/**
 * Card
 *
 * @type {import('preact').FunctionComponent}
 * @param {CardProps} props
 */
export const Card: import('preact').FunctionComponent;
/**
 * Card
 *
 * @type {import('preact').FunctionComponent}
 * @param {CardProps & {
 *   icon: string
 *   iconColor: import('./icon').CircleIconProps['color']
 * }} props
 */
export const TitleCard: import('preact').FunctionComponent;
export type CardProps = {
    white?: boolean;
    nearWhite?: boolean;
    className?: string;
    href?: string;
};
