/**
 * @typedef DefinitionTableProps
 * @property {{
 *   [key: string]: () => import('preact').VNode | string
 * }} data
 */
/**
 * DefinitionTable Generates a table of name / value cells, given a data prop
 *
 * @type {import('preact').FunctionComponent}
 * @param {DefinitionTableProps} Props
 */
export const DefinitionTable: import('preact').FunctionComponent;
export type DefinitionTableProps = {
    data: {
        [key: string]: () => import('preact').VNode | string;
    };
};
