export function CaseTimeline({ events, relativeMax, timeLabels, ...rest }: {
    events: CaseDataEvents;
    relativeMax?: number;
}): JSX.Element;
export type CaseDataEvents = {
    caseStart?: number;
    vitalsEnd?: number;
    ivStart?: number;
    ivEnd?: number;
    surgeryStart?: number;
    surgeryEnd?: number;
    anesthesiaStart?: number;
    anesthesiaEnd?: number;
    recoveryStart?: number;
    end?: number;
};
