export function getBrowser(ua: any, vendor?: string): "" | "Opera Mini" | "Opera" | "BlackBerry" | "Internet Explorer Mobile" | "Microsoft Edge" | "Facebook Mobile" | "Chrome" | "Chrome iOS" | "UC Browser" | "Firefox iOS" | "Mobile Safari" | "Safari" | "Android Mobile" | "Konqueror" | "Firefox" | "Internet Explorer" | "Mozilla";
export function getOs(ua: any): "" | "BlackBerry" | "Android" | "Windows Phone" | "Windows" | "iOS" | "Mac OS X" | "Linux" | "Chrome OS";
export function getDevice(ua: any): "" | "BlackBerry" | "Android" | "Windows Phone" | "iPad" | "iPod Touch" | "iPhone";
export function getBrowserVersion(userAgent: any, vendor: any): number;
/**
 * @returns {{
 *   browser: string
 *   browserVersion: number
 *   os: string
 *   device: string
 *   nativeAppVersion: string || null
 * }}
 */
export const getEnvironmentData: (...args: any[]) => any;
